import("./index").catch((e) =>
  console.error("Error importing **index.ts**:", e)
);

// poor's man jquery:

function $(x: string) {
  return document.getElementById(x);
}

// error signaling:

export function signalerror(msg: string, l: number | null) {
  let errbox = $("messagebox");
  if (errbox) {
    errbox.innerHTML = msg;
  }
  if (l) {
    highlightError(l, "progbox")
  }
}

export function signalparseerr(x: number) {
  let errmsg = $("messagebox");
  if (errmsg) {
    errmsg.innerHTML = "Parser error at line " + x.toString() + "!";
  }
  highlightError(x, "highlighting");
}

function highlightError(x: number, box: string) {
  let highlights = $(box);
  let text = highlights?.innerHTML;
  if (text != null && highlights != null) {
    let lines = text.toString().split("\n");
    lines[x] = lines[x] + '<mark class="error"><-- error here</mark>';
    var newtext = lines.join("\n");
    highlights.innerHTML = newtext;
  }
}
